export declare const SUPPORTED_REGIONS: string[];
export declare const SUPPORTED_AVAILABILITY_ZONES: Record<string, Array<string>>;
export declare function validateRegion(region: string): void;
export declare function validateAvailabilityZone(region: string, availabilityZone?: string): void;
export declare function validateInteger(value: number, min: number, max: number): boolean;
export declare function validateString(value: string, min: number, max: number, regexp?: RegExp | undefined): boolean;
